PHY_FIND_VALID(9)

NAME
phy_find_valid - find a PHY setting that matches the requested features mask

SYNOPSIS

unsigned int phy_find_valid(unsigned int idx, u32 features);

ARGUMENTS

idx
    The first index in settings[] to search

features
    A mask of the valid settings

DESCRIPTION

Returns the index of the first valid setting less than or equal to the one pointed to by idx, as determined by the mask in features. Returns the index of the last setting if nothing else matches.

COPYRIGHT